Bug 26283 - dateexpiry and dateenrolled are missing in the new modal for BorrowerMandatoryField and others
Summary: dateexpiry and dateenrolled are missing in the new modal for BorrowerMandator...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 22844
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-22 13:16 UTC by Katrin Fischer
Modified: 2020-10-16 15:07 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This enhancement adds the dateenrolled and dateexpiry fields to the list of fields that can be selected in system preferences such as the BorrowerMandatoryField.
Version(s) released in:
20.11.00


Attachments
Bug 26283: Add dateexpiry and dateenrolled to new borrower fields modal (1.58 KB, patch)
2020-08-30 19:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26283: Add dateexpiry and dateenrolled to new borrower fields modal (1.63 KB, patch)
2020-09-06 00:43 UTC, David Nind
Details | Diff | Splinter Review
Bug 26283: Add dateexpiry and dateenrolled to new borrower fields modal (1.68 KB, patch)
2020-09-11 08:28 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-08-22 13:16:33 UTC
The dateexpiry has the markup for being hidden, but you can't do it using the PatronSelfModificationBorrowerUnwantedField pref as it's missing in the column list.
Comment 1 Katrin Fischer 2020-08-30 19:24:13 UTC
Created attachment 109300 [details] [review]
Bug 26283: Add dateexpiry and dateenrolled to new borrower fields modal

While these may not make sense for all patron field preferences, I think
it's better to have them in general than to have them missing.

To test:
- Check the modal for BorrowerMandatoryField system preference
- Verify dateenrolled and enrollmentdate are missing
- Apply patch
- Verify the dates are listed now
- Set both to mandatory
- Verify that they are indeed mandatory when adding a new patron now
Comment 2 David Nind 2020-09-06 00:43:46 UTC
Created attachment 109686 [details] [review]
Bug 26283: Add dateexpiry and dateenrolled to new borrower fields modal

While these may not make sense for all patron field preferences, I think
it's better to have them in general than to have them missing.

To test:
- Check the modal for BorrowerMandatoryField system preference
- Verify dateenrolled and dateexpiry fields are missing
- Apply patch
- Verify the dates are listed now
- Set both to mandatory
- Verify that they are indeed mandatory when adding a new patron now

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2020-09-06 00:46:31 UTC
Note: I changed the test plan in the commit message so that it says "dateenrolled and dateexpiry fields" instead of "dateenrolled and enrollmentdate" - it took me a while to figure out why I couldn't find "enrollmentdate". 8-)
Comment 4 Katrin Fischer 2020-09-06 10:00:21 UTC
(In reply to David Nind from comment #3)
> Note: I changed the test plan in the commit message so that it says
> "dateenrolled and dateexpiry fields" instead of "dateenrolled and
> enrollmentdate" - it took me a while to figure out why I couldn't find
> "enrollmentdate". 8-)

Oops, thx!
Comment 5 Julian Maurice 2020-09-11 08:28:45 UTC
Created attachment 109891 [details] [review]
Bug 26283: Add dateexpiry and dateenrolled to new borrower fields modal

While these may not make sense for all patron field preferences, I think
it's better to have them in general than to have them missing.

To test:
- Check the modal for BorrowerMandatoryField system preference
- Verify dateenrolled and dateexpiry fields are missing
- Apply patch
- Verify the dates are listed now
- Set both to mandatory
- Verify that they are indeed mandatory when adding a new patron now

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Jonathan Druart 2020-09-18 09:53:58 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-10-16 15:07:26 UTC
enhancement will not be backported to 20.05.x